Skip to content
master
Switch branches/tags
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
 
 
bin
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

hugo-solstice-theme

Getting Started

Dependencies:

Program Version
node.js ~ 12.22.0
npm ~ 7.11
Hugo > 0.76
Git > 2.31
Make > 4.3

Install dependencies, build assets and start a webserver:

make run

To run yarn watch and hugo server at the same time:

In one terminal:

yarn run watch

Once above process is done, in another terminal:

make run

Getting Started (Windows)

To install our dependencies on Windows, replace the previous npm install with this one:

set NODE_ENV=production && npm install

Alternative Solution

Install win-node-en globally and then install our dependencies by following the steps from our Getting Started section.

yarn add -g win-node-env

Known Issues

Versions of Hugo 0.60 and beyond do not support raw HTML in markdown files by default. To enable this feature, unsafe HTML rendering can be enabled in the Goldmark engine in the site configuration. This is not recommended as it exposes rendered content vulnerable to injected content on the site.

Documentation

Bugs and Feature Requests

Have a bug or a feature request? Please search for existing and closed issues. If your problem or idea is not addressed yet, please open a new issue.

Author

Christopher Guindon (Eclipse Foundation)

Trademarks

  • Jakarta and Jakarta EE are Trademarks of the Eclipse Foundation, Inc.
  • Eclipse® is a Trademark of the Eclipse Foundation, Inc.
  • Eclipse Foundation is a Trademark of the Eclipse Foundation, Inc.

Copyright and License

Copyright 2018-2020 the Eclipse Foundation, Inc. and the hugo-solstice-theme authors. Code released under the Eclipse Public License Version 2.0 (EPL-2.0).